Subject: Re: Rtg Area Directorate QA review of draft-ietf-rtwg-uloop-delay-02.txt

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Wed, 28 Sep 2016 14:02:11 +0000

Apologies for the multiple copies. Adding RTG Dir.

Matthew

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Wednesday, 28 September 2016 at 11:22
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Rtg Area Directorate QA review of draft-ietf-rtwg-uloop-delay-02.txt

Authors,

I have been asked to do a Routing Area Directorate QA review of draft-ietf-rtwg-uloop-delay-02.txt

Summary:

The rationale for this document is clear and the mechanism seems reasonably straight forward. However, one major comment that I have is that the English grammar is poor in some sections, and it is missing normal English articles in some places (a, an, the,…), making it hard to read. I would suggest that the authors go through the draft with a native English speaker to help resolve these nits.

Comments:

Minor Issues:

Section 2.1 Fast reroute unefficiency
s/unefficiency/inefficiency

Section 4.1 Definitions, 2nd bullet:
…by incrementing the timer vape when the IGP is instable.
s/instable/unstable

4.3 Local Events
The draft states that it assumes that only a single link failure has been seen by the IGP area. However, its not clear how you distinguish a single local failure from consecutive (non-simultaneous) failure that occurs within a given short timespan e.g. during the initial re-convergence period. It would help to clarify this.

Regards

Matthew